searchNodes=[{"doc":"Cnab keeps the contexts that define your domain and business logic. Contexts are also responsible for managing your data, regardless if it comes from the database, an external API or others.","ref":"Cnab.html","title":"Cnab","type":"module"},{"doc":"Service to generate a details","ref":"Cnab.Cnab240.Services.Details.html","title":"Cnab.Cnab240.Services.Details","type":"module"},{"doc":"","ref":"Cnab.Cnab240.Services.Details.html#run/1","title":"Cnab.Cnab240.Services.Details.run/1","type":"function"},{"doc":"Service to get file infos from filename","ref":"Cnab.Cnab240.Services.GetFileInfo.html","title":"Cnab.Cnab240.Services.GetFileInfo","type":"module"},{"doc":"","ref":"Cnab.Cnab240.Services.GetFileInfo.html#run/1","title":"Cnab.Cnab240.Services.GetFileInfo.run/1","type":"function"},{"doc":"Service to read and generate info about the CNAB 240 file.","ref":"Cnab.Cnab240.Services.ProcessFile.html","title":"Cnab.Cnab240.Services.ProcessFile","type":"module"},{"doc":"","ref":"Cnab.Cnab240.Services.ProcessFile.html#run/1","title":"Cnab.Cnab240.Services.ProcessFile.run/1","type":"function"},{"doc":"Service to verify file and return some fields to client","ref":"Cnab.Cnab240.Services.VerifyFile.html","title":"Cnab.Cnab240.Services.VerifyFile","type":"module"},{"doc":"","ref":"Cnab.Cnab240.Services.VerifyFile.html#run/1","title":"Cnab.Cnab240.Services.VerifyFile.run/1","type":"function"},{"doc":"Template for rendering a cnab240 chunk footer from a file","ref":"Cnab.Cnab240.Templates.ChunkFooter.html","title":"Cnab.Cnab240.Templates.ChunkFooter","type":"module"},{"doc":"This function generate a Chunk Footer Map from a Cnab240 file, using the FEBRABAN convention. The fields follows the convention hierarchy. and the returns is in PT BR. You can see all hierarchy in the FEBRABAN documentation. CNAB ├── Controle │ ├── Banco (1..3) │ ├── Lote (4..7) │ └── Registro (8..8) │ ├── CNAB - USO FEBRABAN (9..17) │ ├── Totais │ ├── Qtde. de registros (18..23) │ ├── Somatória dos valores (24..41) │ └── Somatória quantidade de moedas (42..59) │ ├── Número aviso débito (60..65) │ ├── CNAB (66..230) │ └── Ocorrências (231..240)","ref":"Cnab.Cnab240.Templates.ChunkFooter.html#generate/1","title":"Cnab.Cnab240.Templates.ChunkFooter.generate/1","type":"function"},{"doc":"Template for rendering a cnab240 chenk header from a file","ref":"Cnab.Cnab240.Templates.ChunkHeader.html","title":"Cnab.Cnab240.Templates.ChunkHeader","type":"module"},{"doc":"This function generate a Header Chunk Map from a Cnab240 file, using the FEBRABAN convention. The fields follows the convention hierarchy, and the returns is in PT BR. You can see all hierarchy in the FEBRABAN documentation. CNAB ├── Controle │ ├── Banco (1..3) │ ├── Lote (4..7) │ └── Registro (8..8) │ ├── Serviço │ ├── Operação (9..9) │ ├── Serviço (10..11) │ ├── Forma lançamento (12..13) │ └── Layout do lote (14..16) │ ├── Cnab (17..17) │ ├── Empresa │ ├── Inscrição │ │ ├── Tipo (18..18) │ │ └── Número (19..32) │ │ │ ├── Convênio (33..52) │ │ │ ├── Conta corrente │ │ ├── Agência │ │ │ ├── Código (53..57) │ │ │ └── DV (58..58) │ │ │ │ │ ├── Conta │ │ │ └── Número DV │ │ │ ├── Número da conta corrente (59..70) │ │ │ └── Dígito verificador da conta (71..71) │ │ │ │ │ └── DV (72..72) │ │ │ └── Nome (73..102) │ ├── CNAB - USO FEBRABAN (103..142) │ ├── Endereço da empresa │ ├── Logadouro (143..172) │ ├── Número (173..177) │ ├── Complemento (178..192) │ ├── Cidade (193..212) │ ├── CEP (213..217) │ ├── Complemento CEP (218..220) │ └── Estado (221..222) │ ├── CNAB - USO FEBRABAN (223..230) │ └── Ocorrências (231..240)","ref":"Cnab.Cnab240.Templates.ChunkHeader.html#generate/1","title":"Cnab.Cnab240.Templates.ChunkHeader.generate/1","type":"function"},{"doc":"","ref":"Cnab.Cnab240.Templates.Details.html","title":"Cnab.Cnab240.Templates.Details","type":"module"},{"doc":"","ref":"Cnab.Cnab240.Templates.Details.html#generate/1","title":"Cnab.Cnab240.Templates.Details.generate/1","type":"function"},{"doc":"Template to generate an cnab 240 object from file, following the A-segment pattern;","ref":"Cnab.Cnab240.Templates.Details.ModelA.html","title":"Cnab.Cnab240.Templates.Details.ModelA","type":"module"},{"doc":"This function generate a Header Chunk Map from a Cnab240 file, using the FEBRABAN convention. The fields follows the A-segment hierarchy, and the returns is in PT BR. You can see all hierarchy in the FEBRABAN documentation. CNAB ├── Controle │ ├── Banco (1..3) │ ├── Lote (4..7) │ └── Registro (8..8) │ ├── Serviço │ ├── N do registro (9..13) │ ├── Segmento (14..14) │ └── Movimento │ ├── Tipo (15..15) │ └── Código (16..17) │ ├── Favorecido │ ├── Câmara (18..20) │ │ │ ├── Banco (21..23) │ │ │ ├── Conta corrente │ │ ├── Agência │ │ │ ├── Código (24..28) │ │ │ └── DV (29..29) │ │ │ │ │ ├── Conta │ │ │ ├── Número (30..41) │ │ │ └── DV (42..42) │ │ │ │ │ └── DV (43..43) │ │ │ ├── Nome (44..73) │ │ │ └── Seu número (73..93) │ ├── Credito │ ├── Data pagamento (94..101) │ │ │ ├── Moeda │ │ ├── Tipo (102..104) │ │ │ │ │ └── Conta (105..119) │ │ │ ├── Valor Pagamento (120..134) │ │ │ ├── Nosso número (135..154) │ │ │ ├── Data real (155..162) │ │ │ └── Valor real (163..177) │ ├── Informação 2 (178..217) │ ├── Codigo finalidade DOC (218..219) │ ├── Código finalidade TED (220..224) │ ├── Código finalidade complementar (225..226) │ ├── CNAB (227..229) │ ├── Aviso (230..230) │ └── Ocorrências (231..240)","ref":"Cnab.Cnab240.Templates.Details.ModelA.html#generate/1","title":"Cnab.Cnab240.Templates.Details.ModelA.generate/1","type":"function"},{"doc":"Template to generate an cnab 240 object from file, following the B-segment pattern;","ref":"Cnab.Cnab240.Templates.Details.ModelB.html","title":"Cnab.Cnab240.Templates.Details.ModelB","type":"module"},{"doc":"This function generate a Header Chunk Map from a Cnab240 file, using the FEBRABAN convention. The fields follows the B-segment hierarchy, and the returns is in PT BR. You can see all hierarchy in the FEBRABAN documentation. CNAB ├── Controle │ ├── Banco (1..3) │ ├── Lote (4..7) │ └── Registro (8..8) │ ├── Serviço │ ├── N do registro (9..13) │ └── Segmento (14..14) │ ├── CNAB (15..17) │ │── Dados complementares │ ├── Favorecido │ │ ├── Inscrição │ │ │ ├── Tipo (18..18) │ │ │ └── Número (19..32) │ │ │ │ │ ├── Logradouro (33..62) │ │ │ │ │ ├── Número (63..67) │ │ │ │ │ ├── Complemento (68..82) │ │ │ │ │ ├── Bairro (83..97) │ │ │ │ │ ├── Cidade (98..117) │ │ │ │ │ ├── CEP (118..122) │ │ │ │ │ ├── Complemento CEP (123..125) │ │ │ │ │ └── Estado (126..127) │ │ │ ├── PAGTO │ │ │ │ │ ├── Vencimento (128..135) │ │ │ │ │ ├── Valor documento (136..150) │ │ │ │ │ ├── Abatimento (151..165) │ │ │ │ │ ├── Desconto (166..180) │ │ │ │ │ ├── Mora (181..195) │ │ │ │ │ └── Multa (196..210) │ │ │ └── Cód/Doc. Favorec. (211..225) │ ├── Aviso (226..226) │ ├── Código UG Centralizadora (227..232) │ └── Identificação do banco no SPB (233..240)","ref":"Cnab.Cnab240.Templates.Details.ModelB.html#generate/1","title":"Cnab.Cnab240.Templates.Details.ModelB.generate/1","type":"function"},{"doc":"Template to generate an cnab 240 object from file, following the A-segment pattern;","ref":"Cnab.Cnab240.Templates.Details.ModelJ.html","title":"Cnab.Cnab240.Templates.Details.ModelJ","type":"module"},{"doc":"This function generate a Header Chunk Map from a Cnab240 file, using the FEBRABAN convention. The fields follows the J-segment hierarchy, and the returns is in PT BR. You can see all hierarchy in the FEBRABAN documentation. CNAB ├── Controle │ ├── Banco (1..3) │ ├── Lote (4..7) │ └── Registro (8..8) │ ├── Serviço │ ├── N do registro (9..13) │ ├── Segmento (14..14) │ ├── CNAB (15..15) │ └── Cod. Mov (16..17) │ ├── Cod Reg. Opcional (18..19) │ ├── Dados sacador/pagador │ ├── Inscrição │ │ ├── Tipo (20..20) │ │ └── Número (21..35) │ │ │ └── Nome (56..75) │ ├── Dados beneficiario │ ├── Inscrição │ │ ├── Tipo (76..76) │ │ └── Número (77..91) │ │ │ └── Nome (92..131) │ ├── Dados sacador avalista │ ├── Inscrição │ │ ├── Tipo (132..132) │ │ └── Número (133..147) │ │ │ └── Nome (148..187) │ └── CNAB (188..240)","ref":"Cnab.Cnab240.Templates.Details.ModelJ.html#generate/1","title":"Cnab.Cnab240.Templates.Details.ModelJ.generate/1","type":"function"},{"doc":"Template to generate an cnab 240 object from file, following the A-segment pattern;","ref":"Cnab.Cnab240.Templates.Details.ModelO.html","title":"Cnab.Cnab240.Templates.Details.ModelO","type":"module"},{"doc":"This function generate a Header Chunk Map from a Cnab240 file, using the FEBRABAN convention. The fields follows the O-segment hierarchy, and the returns is in PT BR. You can see all hierarchy in the FEBRABAN documentation. CNAB ├── Controle │ ├── Banco (1..3) │ ├── Lote (4..7) │ └── Registro (8..8) │ ├── Serviço │ ├── N do registro (9..13) │ ├── Segmento (14..14) │ └── Movimento │ ├── Tipo (15..15) │ └── Código (16..17) │ ├── Pagamento │ ├── Código Barras (18..61) │ │ │ ├── Nome da Concessionária (62..91) │ │ │ ├── Data vencimento (92..99) │ │ │ ├── Data Pagamento (100..107) │ │ │ ├── Valor pagamento (108..122) │ │ │ ├── Seu número (123..142) │ │ │ └── Nosso número (143..162) │ ├── CNAB (163..230) │ └── Ocorrências (231..240)","ref":"Cnab.Cnab240.Templates.Details.ModelO.html#generate/1","title":"Cnab.Cnab240.Templates.Details.ModelO.generate/1","type":"function"},{"doc":"Template for rendering a cnab240 header from a file","ref":"Cnab.Cnab240.Templates.FileHeader.html","title":"Cnab.Cnab240.Templates.FileHeader","type":"module"},{"doc":"This function generate a Header File Map from a Cnab240 file, using the FEBRABAN convention. The fields follows the convention hierarchy, and the returns is in PT BR. You can see all hierarchy in the FEBRABAN documentation. CNAB ├── Controle │ ├── Banco (1..3) │ ├── Lote (4..7) │ └── Registro (8..8) │ ├── CNAB - USO FEBRABAN (9..17) │ ├── Empresa │ ├── Inscrição │ │ ├── Tipo (18..18) │ │ └── Número de inscrição (19..32) │ │ │ ├── Convênio (33..52) │ │ │ ├── Conta corrente │ │ ├── Agência │ │ │ ├── Código (53..57) │ │ │ └── DV (58..58) │ │ │ │ │ ├── Conta │ │ │ └── Número DV │ │ │ ├── Número da conta corrente (59..70) │ │ │ └── Dígito verificador da conta (71..71) │ │ │ │ │ └── DV (72..72) │ │ │ └── Nome da empresa (73..102) │ ├── Nome do banco (103..132) │ ├── CNAB - USO FEBRABAN (133..142) │ ├── Arquivo │ ├── Código remessa / retorno (143..143) │ ├── Data geração (144..151) │ ├── Hora geração (152..157) │ ├── Sequência - NSA (158..163) │ ├── Layout do arquivo (164..166) │ └── Densidade (167..171) │ ├── Reservado banco (172..191) │ ├── Reservado empresa (192..211) │ └── CNAB - USO FEBRABAN (212..240)","ref":"Cnab.Cnab240.Templates.FileHeader.html#generate/1","title":"Cnab.Cnab240.Templates.FileHeader.generate/1","type":"function"},{"doc":"Template for rendering a cnab240 footer from a file","ref":"Cnab.Cnab240.Templates.Footer.html","title":"Cnab.Cnab240.Templates.Footer","type":"module"},{"doc":"This function generate a Footer Map from a Cnab240 file, using the FEBRABAN convention. The fields follows the convention hierarchy. and the returns is in PT BR. You can see all hierarchy in the FEBRABAN documentation. CNAB ├── Controle │ ├── Banco (1..3) │ ├── Lote (4..7) │ └── Registro (8..8) │ ├── CNAB - USO FEBRABAN (9..17) │ ├── Totais │ ├── Qtde. de lotes (18..23) │ ├── Qtde. de registros (24..29) │ └── Qtde. de contas concil (30..35) │ └── CNAB - USO FEBRABAN (36..240)","ref":"Cnab.Cnab240.Templates.Footer.html#generate/1","title":"Cnab.Cnab240.Templates.Footer.generate/1","type":"function"},{"doc":"Helper to convert machine position to human position","ref":"Helpers.ConvertPosition.html","title":"Helpers.ConvertPosition","type":"module"},{"doc":"","ref":"Helpers.ConvertPosition.html#convert_position/2","title":"Helpers.ConvertPosition.convert_position/2","type":"function"},{"doc":"","ref":"Helpers.ConvertPosition.html#convert_position/3","title":"Helpers.ConvertPosition.convert_position/3","type":"function"}]